# Events

## GET /api/v1/dashboard/events/

> Retrieve Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/":{"get":{"operationId":"dashboard_events_retrieve","description":"Retrieve Event List.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/{event\_id}/

> Retrieve Event Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/{event_id}/":{"get":{"operationId":"dashboard_events_retrieve_2","description":"Retrieve Event Detail.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/{event\_id}/interest/

> Create Event Interest.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventInterestCreateResponse":{"type":"object","properties":{"event_id":{"type":"string"},"user_id":{"type":"string"},"status":{"type":"string"}},"required":["event_id","status","user_id"]}}},"paths":{"/api/v1/dashboard/events/{event_id}/interest/":{"post":{"operationId":"dashboard_events_interest_create","description":"Create Event Interest.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventInterestCreateResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/events/{event\_id}/interest/

> Delete Event Interest.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/events/{event_id}/interest/":{"delete":{"operationId":"dashboard_events_interest_destroy","description":"Delete Event Interest.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"description":"Interest removed successfully."}}}}}}
```

## GET /api/v1/dashboard/events/admin/

> GET /events/admin/\
> Returns ALL events on the platform (all statuses, including cancelled).\
> Supports additional admin filters: organiser\_type, created\_by.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/events/admin/":{"get":{"operationId":"dashboard_events_admin_retrieve","description":"GET /events/admin/\nReturns ALL events on the platform (all statuses, including cancelled).\nSupports additional admin filters: organiser_type, created_by.","tags":["Events"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/events/admin/{event\_id}/approve/

> POST /events/admin/\<event\_id>/approve/\
> Advances a pending event through the approval pipeline.\
> \
> Transitions:\
> &#x20; pending\_campus\_approval  → pending\_approval\
> &#x20; pending\_approval         → published\
> &#x20; pending\_mentor\_approval  → published

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/events/admin/{event_id}/approve/":{"post":{"operationId":"dashboard_events_admin_approve_create","description":"POST /events/admin/<event_id>/approve/\nAdvances a pending event through the approval pipeline.\n\nTransitions:\n  pending_campus_approval  → pending_approval\n  pending_approval         → published\n  pending_mentor_approval  → published","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/events/admin/{event\_id}/feature/

> PATCH /events/admin/\<event\_id>/feature/\
> Toggles is\_featured on/off.\
> Optionally accepts body: { "is\_featured": true/false }\
> If not provided, current value is toggled.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/events/admin/{event_id}/feature/":{"patch":{"operationId":"dashboard_events_admin_feature_partial_update","description":"PATCH /events/admin/<event_id>/feature/\nToggles is_featured on/off.\nOptionally accepts body: { \"is_featured\": true/false }\nIf not provided, current value is toggled.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/events/admin/{event\_id}/reject/

> POST /events/admin/\<event\_id>/reject/\
> Rejects a pending event, returning it to 'draft'.\
> Body: { "reason": "..." }

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/events/admin/{event_id}/reject/":{"post":{"operationId":"dashboard_events_admin_reject_create","description":"POST /events/admin/<event_id>/reject/\nRejects a pending event, returning it to 'draft'.\nBody: { \"reason\": \"...\" }","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/events/calendar/

> Retrieve Event Calendar.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCalendarItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"start":{"type":"string","format":"date-time","readOnly":true},"end":{"type":"string","format":"date-time","readOnly":true},"venue_type":{"enum":["physical","online","hybrid"],"type":"string","description":"* `physical` - Physical\n* `online` - Online\n* `hybrid` - Hybrid"},"organiser_name":{"type":"string","readOnly":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"is_featured":{"type":"boolean"}},"required":["category_name","end","organiser_name","slug","start","title"]}}},"paths":{"/api/v1/dashboard/events/calendar/":{"get":{"operationId":"dashboard_events_calendar_retrieve","description":"Retrieve Event Calendar.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCalendarItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/campus-ig/{campus\_ig\_id}/

> Retrieve Campus I G Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/campus-ig/{campus_ig_id}/":{"get":{"operationId":"dashboard_events_campus_ig_retrieve","description":"Retrieve Campus I G Event List.","parameters":[{"in":"path","name":"campus_ig_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/campus/{campus\_id}/

> Retrieve Campus Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/campus/{campus_id}/":{"get":{"operationId":"dashboard_events_campus_retrieve","description":"Retrieve Campus Event List.","parameters":[{"in":"path","name":"campus_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/company/{company\_id}/

> Retrieve Company Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/company/{company_id}/":{"get":{"operationId":"dashboard_events_company_retrieve","description":"Retrieve Company Event List.","parameters":[{"in":"path","name":"company_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/featured/

> Retrieve Event Featured.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/featured/":{"get":{"operationId":"dashboard_events_featured_retrieve","description":"Retrieve Event Featured.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/ig/{ig\_id}/

> Retrieve I G Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/ig/{ig_id}/":{"get":{"operationId":"dashboard_events_ig_retrieve","description":"Retrieve I G Event List.","parameters":[{"in":"path","name":"ig_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/ig/cluster/{cluster}/

> Retrieve Cluster Event List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/ig/cluster/{cluster}/":{"get":{"operationId":"dashboard_events_ig_cluster_retrieve","description":"Retrieve Cluster Event List.","parameters":[{"in":"path","name":"cluster","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/is-featured/

> Retrieve Event Featured.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/is-featured/":{"get":{"operationId":"dashboard_events_is_featured_retrieve","description":"Retrieve Event Featured.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/manage/

> Retrieve Manage Event List Create.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventListItem":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"cover_image":{"type":"string","readOnly":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"venue":{"$ref":"#/components/schemas/EventVenue"},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"viewer_interest_status":{"type":"string","readOnly":true}},"required":["category_id","category_name","cover_image","end_datetime","organizer","slug","start_datetime","title","venue","viewer_interest_status"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]}}},"paths":{"/api/v1/dashboard/events/manage/":{"get":{"operationId":"dashboard_events_manage_retrieve","description":"Retrieve Manage Event List Create.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventListItem"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/

> Create Manage Event List Create.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventWrite":{"type":"object","description":"Input serializer for POST /manage/ and PUT/PATCH /manage/<id>/.","properties":{"title":{"type":"string","maxLength":200},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","nullable":true,"maxLength":512},"banner_image":{"type":"string","nullable":true,"maxLength":512},"category":{"type":"string","nullable":true},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"venue_type":{"enum":["physical","online","hybrid"],"type":"string","description":"* `physical` - Physical\n* `online` - Online\n* `hybrid` - Hybrid"},"venue_address":{"type":"string","nullable":true,"maxLength":300},"venue_city":{"type":"string","nullable":true,"maxLength":100},"venue_maps_url":{"type":"string","nullable":true,"maxLength":500},"venue_online_link":{"type":"string","nullable":true,"maxLength":500},"venue_platform":{"type":"string","nullable":true,"maxLength":100},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"type":"string","nullable":true},"scope_ig":{"type":"string","nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organiser_type":{"enum":["global_ig","campus_ig","campus","company","admin"],"type":"string","description":"* `global_ig` - Global IG\n* `campus_ig` - Campus IG\n* `campus` - Campus\n* `company` - Company\n* `admin` - Admin"},"organiser_ig":{"type":"string","nullable":true},"organiser_org":{"type":"string","nullable":true},"organiser_ci_id":{"type":"string","nullable":true,"maxLength":36},"is_collaboration":{"type":"boolean"},"is_featured":{"type":"boolean"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"}},"required":["end_datetime","start_datetime","title"]},"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/manage/":{"post":{"operationId":"dashboard_events_manage_create","description":"Create Manage Event List Create.","tags":["Events"],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/EventWrite"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EventWrite"}},"application/json":{"schema":{"$ref":"#/components/schemas/EventWrite"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/manage/{event\_id}/

> Retrieve Manage Event Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/":{"get":{"operationId":"dashboard_events_manage_retrieve_2","description":"Retrieve Manage Event Detail.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/events/manage/{event\_id}/

> Update Manage Event Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/":{"put":{"operationId":"dashboard_events_manage_update","description":"Update Manage Event Detail.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/events/manage/{event\_id}/

> Delete Manage Event Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/":{"delete":{"operationId":"dashboard_events_manage_destroy","description":"Delete Manage Event Detail.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/events/manage/{event\_id}/

> Partially update Manage Event Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":200},"slug":{"type":"string","maxLength":220},"description":{"type":"string","nullable":true},"cover_image":{"type":"string","readOnly":true},"banner_image":{"type":"string","readOnly":true},"category_id":{"type":"string","readOnly":true,"nullable":true},"category_name":{"type":"string","readOnly":true,"nullable":true},"status":{"enum":["draft","pending_campus_approval","pending_approval","pending_mentor_approval","published","ongoing","completed","cancelled"],"type":"string","description":"* `draft` - Draft\n* `pending_campus_approval` - Pending Campus Approval\n* `pending_approval` - Pending Approval\n* `pending_mentor_approval` - Pending Mentor Approval\n* `published` - Published\n* `ongoing` - Ongoing\n* `completed` - Completed\n* `cancelled` - Cancelled"},"scope":{"enum":["global","campus","ig","campus_ig","company"],"type":"string","description":"* `global` - Global\n* `campus` - Campus\n* `ig` - Interest Group\n* `campus_ig` - Campus IG\n* `company` - Company"},"scope_org":{"allOf":[{"$ref":"#/components/schemas/MinimalCampus"}],"readOnly":true,"nullable":true},"scope_ig":{"allOf":[{"$ref":"#/components/schemas/MinimalIG"}],"readOnly":true,"nullable":true},"scope_ci_id":{"type":"string","nullable":true,"maxLength":36},"organizer":{"$ref":"#/components/schemas/OrganizerInfo"},"venue":{"$ref":"#/components/schemas/EventVenue"},"start_datetime":{"type":"string","format":"date-time"},"end_datetime":{"type":"string","format":"date-time"},"registration_url":{"type":"string","nullable":true,"maxLength":500},"registration_deadline":{"type":"string","format":"date-time","nullable":true},"min_karma":{"type":"integer","maximum":9223372036854776000,"minimum":-9223372036854776000,"format":"int64","nullable":true},"is_featured":{"type":"boolean"},"is_collaboration":{"type":"boolean"},"interest_count":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"tags":{"nullable":true},"user_limit":{"type":"integer","maximum":4294967295,"minimum":0,"format":"int64"},"linked_tasks":{"type":"string","readOnly":true},"co_owners":{"type":"string","readOnly":true},"collaborators":{"type":"string","readOnly":true},"viewer_interest_status":{"type":"string","readOnly":true},"viewer_can_access_registration":{"type":"string","readOnly":true},"viewer_access_blocked_reason":{"type":"string","readOnly":true},"created_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"updated_by":{"allOf":[{"$ref":"#/components/schemas/MinimalUser"}],"readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["banner_image","category_id","category_name","co_owners","collaborators","cover_image","created_at","created_by","end_datetime","linked_tasks","organizer","scope_ig","scope_org","slug","start_datetime","title","updated_at","updated_by","venue","viewer_access_blocked_reason","viewer_can_access_registration","viewer_interest_status"]},"MinimalCampus":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25}},"required":["org_type","title"]},"MinimalIG":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"icon":{"type":"string","maxLength":10}},"required":["icon","name"]},"OrganizerInfo":{"type":"object","description":"Reads organiser fields off the Event model directly.","properties":{"type":{"type":"string"},"ig":{"type":"string","readOnly":true},"campus":{"type":"string","readOnly":true},"company":{"type":"string","readOnly":true},"campus_ig_id":{"type":"string","nullable":true}},"required":["campus","campus_ig_id","company","ig","type"]},"EventVenue":{"type":"object","description":"Flattens venue_* fields from the Event model.","properties":{"type":{"type":"string"},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"maps_url":{"type":"string","nullable":true},"online_link":{"type":"string","nullable":true},"platform":{"type":"string","nullable":true}},"required":["address","city","maps_url","online_link","platform","type"]},"MinimalUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","muid","profile_pic"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/":{"patch":{"operationId":"dashboard_events_manage_partial_update","description":"Partially update Manage Event Detail.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/manage/{event\_id}/co-owners/

> Retrieve Manage Event Co Owner.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCoOwner":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_id":{"type":"string","maxLength":36},"user":{"type":"string","readOnly":true},"added_by":{"type":"string","readOnly":true},"added_at":{"type":"string","format":"date-time"}},"required":["added_at","added_by","entity_id","user"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/co-owners/":{"get":{"operationId":"dashboard_events_manage_co_owners_retrieve","description":"Retrieve Manage Event Co Owner.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCoOwner"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/{event\_id}/co-owners/

> Create Manage Event Co Owner.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCoOwner":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_id":{"type":"string","maxLength":36},"user":{"type":"string","readOnly":true},"added_by":{"type":"string","readOnly":true},"added_at":{"type":"string","format":"date-time"}},"required":["added_at","added_by","entity_id","user"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/co-owners/":{"post":{"operationId":"dashboard_events_manage_co_owners_create","description":"Create Manage Event Co Owner.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCoOwner"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/events/manage/{event\_id}/co-owners/{co\_owner\_id}/

> Delete Manage Event Co Owner Remove.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCoOwner":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_id":{"type":"string","maxLength":36},"user":{"type":"string","readOnly":true},"added_by":{"type":"string","readOnly":true},"added_at":{"type":"string","format":"date-time"}},"required":["added_at","added_by","entity_id","user"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/co-owners/{co_owner_id}/":{"delete":{"operationId":"dashboard_events_manage_co_owners_destroy","description":"Delete Manage Event Co Owner Remove.","parameters":[{"in":"path","name":"co_owner_id","schema":{"type":"string"},"required":true},{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCoOwner"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/manage/{event\_id}/collaborators/

> Retrieve Manage Event Collaborator.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborator":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_type":{"enum":["user_ticket","co_owner","collab_ig","collab_campus","collab_campus_ig","collab_company"],"type":"string","description":"* `user_ticket` - User Ticket\n* `co_owner` - Co-owner\n* `collab_ig` - Collaborating IG\n* `collab_campus` - Collaborating Campus\n* `collab_campus_ig` - Collaborating Campus IG\n* `collab_company` - Collaborating Company"},"entity_id":{"type":"string","maxLength":36},"entity_detail":{"type":"string","readOnly":true},"role_label":{"type":"string","nullable":true,"maxLength":100},"invite_status":{"enum":["pending","accepted","rejected","",null],"type":"string","description":"* `pending` - Pending\n* `accepted` - Accepted\n* `rejected` - Rejected","nullable":true},"rejection_reason":{"type":"string","nullable":true,"maxLength":500},"responded_at":{"type":"string","format":"date-time","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","entity_detail","entity_id","entity_type"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/collaborators/":{"get":{"operationId":"dashboard_events_manage_collaborators_retrieve","description":"Retrieve Manage Event Collaborator.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborator"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/{event\_id}/collaborators/

> Create Manage Event Collaborator.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborator":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_type":{"enum":["user_ticket","co_owner","collab_ig","collab_campus","collab_campus_ig","collab_company"],"type":"string","description":"* `user_ticket` - User Ticket\n* `co_owner` - Co-owner\n* `collab_ig` - Collaborating IG\n* `collab_campus` - Collaborating Campus\n* `collab_campus_ig` - Collaborating Campus IG\n* `collab_company` - Collaborating Company"},"entity_id":{"type":"string","maxLength":36},"entity_detail":{"type":"string","readOnly":true},"role_label":{"type":"string","nullable":true,"maxLength":100},"invite_status":{"enum":["pending","accepted","rejected","",null],"type":"string","description":"* `pending` - Pending\n* `accepted` - Accepted\n* `rejected` - Rejected","nullable":true},"rejection_reason":{"type":"string","nullable":true,"maxLength":500},"responded_at":{"type":"string","format":"date-time","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","entity_detail","entity_id","entity_type"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/collaborators/":{"post":{"operationId":"dashboard_events_manage_collaborators_create","description":"Create Manage Event Collaborator.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborator"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/events/manage/{event\_id}/collaborators/{collaborator\_id}/

> Delete Manage Event Collaborator Remove.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborator":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_type":{"enum":["user_ticket","co_owner","collab_ig","collab_campus","collab_campus_ig","collab_company"],"type":"string","description":"* `user_ticket` - User Ticket\n* `co_owner` - Co-owner\n* `collab_ig` - Collaborating IG\n* `collab_campus` - Collaborating Campus\n* `collab_campus_ig` - Collaborating Campus IG\n* `collab_company` - Collaborating Company"},"entity_id":{"type":"string","maxLength":36},"entity_detail":{"type":"string","readOnly":true},"role_label":{"type":"string","nullable":true,"maxLength":100},"invite_status":{"enum":["pending","accepted","rejected","",null],"type":"string","description":"* `pending` - Pending\n* `accepted` - Accepted\n* `rejected` - Rejected","nullable":true},"rejection_reason":{"type":"string","nullable":true,"maxLength":500},"responded_at":{"type":"string","format":"date-time","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","entity_detail","entity_id","entity_type"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/":{"delete":{"operationId":"dashboard_events_manage_collaborators_destroy","description":"Delete Manage Event Collaborator Remove.","parameters":[{"in":"path","name":"collaborator_id","schema":{"type":"string"},"required":true},{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborator"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/{event\_id}/collaborators/{collaborator\_id}/accept/

> Create Manage Event Collaborator Accept.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborator":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_type":{"enum":["user_ticket","co_owner","collab_ig","collab_campus","collab_campus_ig","collab_company"],"type":"string","description":"* `user_ticket` - User Ticket\n* `co_owner` - Co-owner\n* `collab_ig` - Collaborating IG\n* `collab_campus` - Collaborating Campus\n* `collab_campus_ig` - Collaborating Campus IG\n* `collab_company` - Collaborating Company"},"entity_id":{"type":"string","maxLength":36},"entity_detail":{"type":"string","readOnly":true},"role_label":{"type":"string","nullable":true,"maxLength":100},"invite_status":{"enum":["pending","accepted","rejected","",null],"type":"string","description":"* `pending` - Pending\n* `accepted` - Accepted\n* `rejected` - Rejected","nullable":true},"rejection_reason":{"type":"string","nullable":true,"maxLength":500},"responded_at":{"type":"string","format":"date-time","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","entity_detail","entity_id","entity_type"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/accept/":{"post":{"operationId":"dashboard_events_manage_collaborators_accept_create","description":"Create Manage Event Collaborator Accept.","parameters":[{"in":"path","name":"collaborator_id","schema":{"type":"string"},"required":true},{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborator"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/{event\_id}/collaborators/{collaborator\_id}/reject/

> Create Manage Event Collaborator Reject.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborator":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"entity_type":{"enum":["user_ticket","co_owner","collab_ig","collab_campus","collab_campus_ig","collab_company"],"type":"string","description":"* `user_ticket` - User Ticket\n* `co_owner` - Co-owner\n* `collab_ig` - Collaborating IG\n* `collab_campus` - Collaborating Campus\n* `collab_campus_ig` - Collaborating Campus IG\n* `collab_company` - Collaborating Company"},"entity_id":{"type":"string","maxLength":36},"entity_detail":{"type":"string","readOnly":true},"role_label":{"type":"string","nullable":true,"maxLength":100},"invite_status":{"enum":["pending","accepted","rejected","",null],"type":"string","description":"* `pending` - Pending\n* `accepted` - Accepted\n* `rejected` - Rejected","nullable":true},"rejection_reason":{"type":"string","nullable":true,"maxLength":500},"responded_at":{"type":"string","format":"date-time","nullable":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","entity_detail","entity_id","entity_type"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/reject/":{"post":{"operationId":"dashboard_events_manage_collaborators_reject_create","description":"Create Manage Event Collaborator Reject.","parameters":[{"in":"path","name":"collaborator_id","schema":{"type":"string"},"required":true},{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborator"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/events/manage/{event\_id}/publish/

> Create Manage Event Publish.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventPublishResponse":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"}},"required":["id","status"]}}},"paths":{"/api/v1/dashboard/events/manage/{event_id}/publish/":{"post":{"operationId":"dashboard_events_manage_publish_create","description":"Create Manage Event Publish.","parameters":[{"in":"path","name":"event_id","schema":{"type":"string"},"required":true}],"tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventPublishResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/meta/categories/

> Retrieve Event Categories.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCategoryItem":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["description","id","name"]}}},"paths":{"/api/v1/dashboard/events/meta/categories/":{"get":{"operationId":"dashboard_events_meta_categories_list","description":"Retrieve Event Categories.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/EventCategoryItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/meta/collaboration-targets/

> Retrieve Collaboration Targets.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventCollaborationTargets":{"type":"object","properties":{"ig":{"type":"array","items":{"type":"object","additionalProperties":{}}},"campus":{"type":"array","items":{"type":"object","additionalProperties":{}}},"company":{"type":"array","items":{"type":"object","additionalProperties":{}}},"campus_ig":{"type":"array","items":{"type":"object","additionalProperties":{}}}},"required":["campus","campus_ig","company","ig"]}}},"paths":{"/api/v1/dashboard/events/meta/collaboration-targets/":{"get":{"operationId":"dashboard_events_meta_collaboration_targets_retrieve","description":"Retrieve Collaboration Targets.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventCollaborationTargets"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/meta/organizer-options/

> Retrieve Organizer Options.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"EventOrganizerOptions":{"type":"object","properties":{"can_create_as_ig":{"type":"array","items":{"type":"object","additionalProperties":{}}},"can_create_as_campus_ig":{"type":"array","items":{"type":"object","additionalProperties":{}}},"can_create_as_campus":{"type":"array","items":{"type":"object","additionalProperties":{}}},"can_create_as_company":{"type":"array","items":{"type":"object","additionalProperties":{}}},"can_create_as_admin":{"type":"boolean"}},"required":["can_create_as_admin","can_create_as_campus","can_create_as_campus_ig","can_create_as_company","can_create_as_ig"]}}},"paths":{"/api/v1/dashboard/events/meta/organizer-options/":{"get":{"operationId":"dashboard_events_meta_organizer_options_retrieve","description":"Retrieve Organizer Options.","tags":["Events"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/EventOrganizerOptions"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/events/my-invites/

> Retrieve My Event Invites.

```json
[...]
